[package]
name = "kifu-wasm"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[lib]
crate-type = ["cdylib"]

[dependencies]
kifu-core               = { path = "../../core" }
serde                   = { version = "1.0", features = ["derive"] }
serde-wasm-bindgen      = "0.5.0"
wasm-bindgen            = "0.2"
wasm-bindgen-futures    = "*"

[package.metadata.wasm-pack.profile.release]
wasm-opt = false
